## org.eclipse.emf.ecore.sdo
Interface EType

All Superinterfaces:
  EObject, Notifier, Type

All Known Implementing Classes:
  ETypeImpl

    public interface EType

extends EObject, Type

A representation of the model object 'EType'.

The following features are supported:

- `EClassifier`

See Also:
  `SDOPackage.getEType()`

Method Summary
`EClassifier` `getEClassifier()` Returns the value of the 'EClassifier' reference
`EProperty` `getEProperty(java.lang.String propertyName)`
`void` `setEClassifier(EClassifier value)` Sets the value of the '`EClassifier`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface commonj.sdo.Type
`getInstanceClass, getName, getProperties, getProperty, getURI, isInstance`

Method Detail

### getEClassifier

    EClassifier getEClassifier()

  Returns the value of the 'EClassifier' reference.

  If the meaning of the 'EClassifier' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EClassifier' reference.
  See Also:
    `setEClassifier(EClassifier)`, `SDOPackage.getEType_EClassifier()`

### setEClassifier

    void setEClassifier(EClassifier value)

  Sets the value of the '`EClassifier`' reference.

  Parameters:
    `value` - the new value of the 'EClassifier' reference.
  See Also:
    `getEClassifier()`

### getEProperty

    EProperty getEProperty(java.lang.String propertyName)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.